#include <iostream>

unsigned long long int fib(int n)
{
	unsigned long long int prevFib = 1;
	unsigned long long int curFib = 1;
	
	if (0 == n) return 1;
	if (1 == n) return 1;
	
	for (int i = 2; i <= n; ++i)
	{
		unsigned long long int newFib = prevFib + curFib;
		curFib = prevFib;
		prevFib = newFib;
	}
	return curFib;
}

int main(int argc, char **argv) {
	std::cout << "Fibonacci-Zahlen:" << std::endl;
	for (int i=1; i < 100; ++i)
	{
		std::cout << "fibonacci(" << i << ")\t= " 
			<< fib(i) << std::endl;
	}
	return 0;
}
