//////////////////////////////////////////////////////////////////////////////
// Praktikum Informatik 1
// Versuch 8: Sortierverfahren, Templates
//
// Datei:  Student.cpp
// Inhalt: Studentenklasse mit Merkmalen eines Studenten
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
///////////////////////////////// INCLUDES ///////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

#include "Student.h"

//////////////////////////////////////////////////////////////////////////////
///////////////////////// Funktions-Implementierung //////////////////////////
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// Konstruktor
Student::Student(int matrikelnummer, string name2, string vorname2, string gebDatum):
	matNr(matrikelnummer), name(name2), vorname(vorname2), gebDatum(gebDatum)
{
}

//////////////////////////////////////////////////////////////////////////////
// Gleichheitsoperator
bool Student::operator == (const Student& stud)
{
	if (matNr == stud.matNr)
		return true;
	else
		return false;
}

//////////////////////////////////////////////////////////////////////////////

bool Student::operator < (const Student& stud)
{
  return (matNr < stud.matNr);
}
bool Student::operator > (const Student& stud)
{
  return (matNr > stud.matNr);
}

ostream& operator<<(ostream& Stream, const Student& studi)
{
  Stream << "Matrikelnummer: " << studi.getMatNr() << endl
         << "Name: " << studi.getVorname() << " " << studi.getName() << endl
         << "Geburtsdatum: " << studi.getGebDatum() << endl << endl;
  return Stream;
}

