#include <iostream>
#include <string>
using namespace std;

/*
 * Diese Struktur gibt an, wieviele Tage in den Monaten vor dem angegebenen
 *  vergangen sind
 */
const int monatsTage[] =
{
    0,
    31,
    31+28,
    31+28+31,
    31+28+31+30,
    31+28+31+30+31,
    31+28+31+30+31+30,
    31+28+31+30+31+30+31,
    31+28+31+30+31+30+31+31,
    31+28+31+30+31+30+31+31+30,
    31+28+31+30+31+30+31+31+30+31,
    31+28+31+30+31+30+31+31+30+31+30
};

const string schaltWort[] = {"kein", "ein"};

string wochentage[7] = {"Montag", "Dienstag", "Mittwoch", "Donnerstag",
    "Freitag", "Samstag", "Sonntag"};

struct tDatum
{
  unsigned int tag;
  unsigned int monat;
  unsigned int jahr;
};

int main(int argc, char **argv) {
  tDatum datum;
  int istSchaltJahr;
  int schaltJahre;
  int normalJahre;
  int tage;

  cout << "Geben Sie das Jahr an: ";
  cin >> datum.jahr;
  cout << "den Monat: ";
  cin >> datum.monat;
  datum.monat = datum.monat % 13;
  cout << "den Tag: ";
  cin >> datum.tag;
  cout << endl;

  istSchaltJahr = ((datum.jahr%4 == 0) && (datum.jahr%100 != 0)) || (datum.jahr%400 == 0);

  schaltJahre  = datum.jahr/4 +datum.jahr/400 -datum.jahr/100 -istSchaltJahr;
  normalJahre = datum.jahr -schaltJahre -1;

  tage = normalJahre*365 +schaltJahre*366 +monatsTage[datum.monat-1] +datum.tag;

  cout << "Das Jahr " << datum.jahr << " ist " << schaltWort[istSchaltJahr] << " Schaltjahr." << endl;
  cout << "Anzahl der Schaltjahre:\t" << schaltJahre << endl;
  cout << "Anzahl normaler Jahre:\t" << normalJahre << endl;
  cout << "Anzahl der Tage:\t" << tage << endl;
  cout << "Der Wochentag ist ein " << wochentage[(tage-1)%7] << endl;

  return 0;
}
