#include <iostream>
using namespace std;

struct Term {
  int col;
  int row;
  int value;
};

void transpose(Term a[], Term b[])
{
  for (int n=0; n < a[0].value+1; ++n)
  {
    b[n].col = a[n].row;
    b[n].row = a[n].col;
    b[n].value = a[n].value;
  }
}

void ausgabe(Term term[])
{
  cout << "Pos.\tZeile\tSpalte\tWert" << endl;
  for (int n=0; n < term[0].value+1; ++n)
  {
    cout << "m[" << n << "]:\t" << term[n].row << "\t" << term[n].col
         << "\t" << term[n].value << endl;
  }
}

int main(int argc, char **argv) {
  Term a[] = {
      {6,6,8},
      {0,0,15},
      {3,0,22},
      {5,0,-15},
      {1,1,11},
      {2,1,3},
      {3,2,-6},
      {0,4,91},
      {2,5,28}
  };
  Term b[a[0].value+1];

  cout << "Matrix A:" << endl;
  ausgabe(a);

  transpose(a,b);

  cout << endl << "Transponierte Matrix B:" << endl;
  ausgabe (b);

  return 0;
}
