//////////////////////////////////////////////////////////////////////////////
// Praktikum Informatik 1
// Versuch 5: Dynamische Datenstrukturen
//
// Datei:  List.h
// Inhalt: Liste mit Methoden
//////////////////////////////////////////////////////////////////////////////

#ifndef LIST_H_
#define LIST_H_

//////////////////////////////////////////////////////////////////////////////
///////////////////////////////// INCLUDES ///////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

#include <iostream>
#include <string>
using namespace std;
#include "Student.h"

//////////////////////////////////////////////////////////////////////////////
///////////////////////// STRUCT DECLARATION /////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

struct List
{

	List();
	void enqueueHead(const Student& stud);	// vorne anf�gen
	bool dequeue(Student& stud);			// hinten abh�ngen, wird nicht ben�tigt
	void ausgabevorwaerts();				// von vorne nach hinten ausgeben

	//////////////////////////////////////
	////Hier Implementierung einf�gen ////
	//////////////////////////////////////
	void ausgabeRueckwaerts();
	void enqueueTail(const Student& stud);
	bool deleteMatNr(const int matNr);


	struct ListElem{
		Student data;
		ListElem* next;
		ListElem* last;
	};

	ListElem* head;
	ListElem* tail;
};

#endif /*LIST_H_*/
