//////////////////////////////////////////////////////////////////////////////
// Praktikum Informatik 1
// Versuch 5: Dynamische Datenstrukturen
//
// Datei:  main.cpp
// Inhalt: Hauptprogramm
//////////////////////////////////////////////////////////////////////////////
#include <iostream>
#include <string>
#include "List.h"
#include "Student.h"
using namespace std;

int main()
{
	List testListe;
	Student stud1;

	char abfrage;
	cout << "Wollen sie die Liste selbst fuellen? (j)/(n) ";
	cin >> abfrage;
	if (abfrage != 'j' )
	{
		stud1.matNr = 12345;
		stud1.adresse = "Ahornst.55";
		stud1.gebDatum = "23.04.1983";
		stud1.name = "Siggi Baumeister";
		testListe.enqueueHead(stud1);
		stud1.matNr = 23456;
		stud1.adresse = "W�llnerstr.9";
		stud1.gebDatum = "15.10.1963";
		stud1.name = "Walter Rodenstock";
		testListe.enqueueHead(stud1);
		stud1.matNr = 34567;
		stud1.adresse = "Am Markt 1";
		stud1.gebDatum = "19.06.1971";
		stud1.name = "Harro Simoneit";
		testListe.enqueueHead(stud1);
	}
	do
	{
		cout << "\nMenue:" << endl << "-----------------------------" << endl
                     << "(1): Datenelement vorne ergaenzen" << endl
                     << "(2): Datenelement abh�ngen" << endl
		     << "(3): Datenbank ausgeben" << endl
		     << "(4): Datenbank rueckwaerts ausgeben" << endl
		     << "(5): Student nach Matrikelnummer loeschen" << endl
		     << "(6): Datenelement hinten ergaenzen" << endl
		     << "(7): Beenden" << endl;
		cin >> abfrage;
		switch (abfrage)
		{
	 		case '1': cout << "Bitte geben sie die Daten f�r den Studenten ein.\nName: ";
	 				  cin.ignore(10,'\n'); // Ignoriere das Zeichen '\n', das noch im Puffer ist
	 				  getline(cin, stud1.name);  // ganze Zeilen einlesen, inkl Leerzeichen
	 				  cout << "Geburtsdatum: ";
	 				  getline(cin, stud1.gebDatum);
	 				  cout << "Adresse: ";
	 				  getline(cin, stud1.adresse);
	 				  cout << "Matrikelnummer: ";
	 				  cin >> stud1.matNr;
	 				  testListe.enqueueHead(stud1);
	 				  break;
	 		case '2': cout << "Das hintere Datenelemt wird abgehangen\n";
	 				  testListe.dequeue(stud1);
	 				  break;
	 		case '3': cout << "Inhalt der Liste von vorne nach hinten\n";
	 				  testListe.ausgabevorwaerts();
	 				  break;
	 		case '4': cout << "Inhalt der Liste von hinten nach vorne\n";
	 		                  testListe.ausgabeRueckwaerts();
	 		                  break;
	 		case '5':
                                  int matNr;
                                  cout << "Bitte geben sie die Matrikelnummer des"
                                       << " zu loeschenden Studenten ein:" << endl
                                       << "MatrNr.:";
                                  cin >> matNr;

                                  if (testListe.deleteMatNr(matNr))
                                  {
                                    cout << endl << "Student wurde erfolgreich geloescht!" << endl;
                                  }
                                  else
                                  {
                                    cout << endl << "Student existiert nicht!" << endl;
                                  }
                                  break;

	 		case '6': cout << "Bitte geben Sie die Daten fuer den Studenten ein:\nName: ";
                                          cin.ignore(10,'\n'); // Ignoriere das Zeichen '\n', das noch im Puffer ist
                                          getline(cin, stud1.name);  // ganze Zeilen einlesen, inkl Leerzeichen
                                          cout << "Geburtsdatum: ";
                                          getline(cin, stud1.gebDatum);
                                          cout << "Adresse: ";
                                          getline(cin, stud1.adresse);
                                          cout << "Matrikelnummer: ";
                                          cin >> stud1.matNr;
                                          testListe.enqueueTail(stud1);
	 		case '7': cout << "Das Programm wird nun beendet";
                                  break;
	 		default : cout << "Falsche Eingabe, bitte nochmal";
		}
	}
	while(abfrage != '7');

//	system("PAUSE");
	return 0;
}
