//////////////////////////////////////////////////////////////////////////////
// Praktikum Informatik 1
// Versuch 8: Sortierverfahren, Templates
//
// Datei:  Student.h
// Inhalt: Studentenklasse mit Merkmalen eines Studenten
//////////////////////////////////////////////////////////////////////////////

#ifndef STUDENT_H
#define STUDENT_H

//////////////////////////////////////////////////////////////////////////////
///////////////////////////////// INCLUDES ///////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

#include <iostream>
#include <string>
using namespace std;

//////////////////////////////////////////////////////////////////////////////
///////////////////////// CLASS DECLARATION /////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

//StudentenKlasse
class Student
{
  public:
	Student(){}
	Student(int matrikelnummer, string name, string vorname, string gebDatum);
	bool operator == (const Student& stud);

	bool operator < (const Student& stud);
	bool operator > (const Student& stud);

    int getMatNr() const
    {
        return matNr;
    }

    string getName() const
    {
        return name;
    }

    string getVorname() const
    {
        return vorname;
    }

    string getGebDatum() const
    {
        return gebDatum;
    }

private:
	int matNr;
	string name;
	string vorname;
	string gebDatum;
};

ostream& operator<<(ostream& Stream, const Student& studi);

#endif // STUDENT_H

